<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [Sync](./git-documentdb.sync.md) &gt; [trySync](./git-documentdb.sync.trysync.md)

## Sync.trySync() method

Try to sync with retries

<b>Signature:</b>

```typescript
trySync(): Promise<SyncResult>;
```
<b>Returns:</b>

Promise&lt;[SyncResult](./git-documentdb.syncresult.md)<!-- -->&gt;

## Exceptions

[PushNotAllowedError](./git-documentdb.pushnotallowederror.md) (from this and enqueueSyncTask)

[SyncWorkerError](./git-documentdb.syncworkererror.md) (from enqueueSyncTask)

[NoMergeBaseFoundError](./git-documentdb.nomergebasefounderror.md) (from enqueueSyncTask)

[UnfetchedCommitExistsError](./git-documentdb.unfetchedcommitexistserror.md) (from enqueueSyncTask)

